%define anolis_release 2

%global build_pdf_doc 0
%ifarch %{java_arches}
%global build_bdj 1
%else
%global build_bdj 0
%endif

Name:           libbluray
Version:        1.3.4
Release:        %{anolis_release}%{dist}
Summary:        Library to access Blu-Ray disks for video playback 
License:        LGPLv2+
URL:            https://www.videolan.org/developers/libbluray.html

Source0:        https://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  graphviz
BuildRequires:  libtool
BuildRequires:  libudfread-devel >= 1.1.1
BuildRequires:  libxml2-devel
BuildRequires:  make
BuildRequires:  texlive-latex
%if %{build_bdj}
BuildRequires:  ant
%ifnarch loongarch64
BuildRequires:  java-17-alibaba-dragonwell-devel
%else
BuildRequires:  java-17-openjdk-devel
%endif
BuildRequires:  jpackage-utils
%endif

%description
This package is aiming to provide a full portable free open source Blu-Ray
library, which can be plugged into popular media players to allow full Blu-Ray
navigation and playback on Linux. It will eventually be compatible with all
current titles, and will be easily portable and embeddable in standard players
such as MPlayer and VLC.

%if %{build_bdj}
%package        bdj
Summary:        BDJ support for %{name}
Requires:       %{name} = %{version}-%{release}
%ifnarch loongarch64
Requires:       java-17-alibaba-dragonwell-headless
%else
Requires:       java-17-openjdk-headless
%endif
Requires:       jpackage-utils

%description    bdj
The %{name}-bdj package contains the jar file needed to add BD-J support to
%{name}. BD-J support is still considered alpha.
%endif

%package        utils
Summary:        Test utilities for %{name}
Requires:       %{name} = %{version}-%{release}

%description    utils
The %{name}-utils package contains test utilities for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{EVR}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1

%build
%if %{build_bdj}
export JDK_HOME="%{_jvmdir}/java"
%endif

autoreconf -vif
%configure --disable-static \
%if ! %{build_bdj}
           --disable-bdjava-jar \
%endif
%if %{build_pdf_doc}
           --enable-doxygen-pdf \
%else
           --disable-doxygen-pdf \
%endif
           --disable-doxygen-ps \
           --enable-doxygen-html \
           --enable-examples

%make_build
make doxygen-doc
# Remove uneeded script
rm -f doc/doxygen/html/installdox 

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/*.so.2*
%{abidir}/*.dump

%if %{build_bdj}
%files bdj
%{_javadir}/libbluray-j2se-%{version}.jar
%{_javadir}/libbluray-awt-j2se-%{version}.jar
%endif

%files utils
%{_bindir}/*

%files devel
%doc doc/doxygen/html
%if %{build_pdf_doc}
%doc doc/doxygen/%{name}.pdf
%endif
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files doc
%doc ChangeLog README.md

%changelog
* Thu Oct 12 2023 Jingyun Hua <huajingyun@loongson.cn> - 1.3.4-2
- Fix BuildRequires package for loongarch64

* Wed Mar 15 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.3.4-1
- Init libbluray for AnolisOS 23
